/**
 * Created by vian on 2017/3/17.
 */
/*
var dbm = require("../../../config/db/db_manager");
var schemas = require("./bills_lib_schemas.js");
//var db = dbm.getLocalConnection("stdBillsEditor");
var db = dbm.getCfgConnection("stdBillsEditor");
var stdBillsLibMod = db.model("stdBillsLib", schemas.stdBillsLibSchema);
var billsMod = db.model("billsLib", schemas.billsSchema);
var jobContentMod = db.model("jobContent", schemas.jobContentSchema);
var itemCharacterMod = db.model("itemCharacter", schemas.itemCharacterSchema);

module.exports = {
    stdBillsLibMod: stdBillsLibMod,
    billsMod: billsMod,
    jobContentMod: jobContentMod,
    itemCharacterMod: itemCharacterMod,
}*/
let dbm = require("../../../config/db/db_manager");
let schemas = require("./bills_lib_schemas.js");
let db = dbm.getCfgConnection("scConstruct");
//let db = dbm.getLocalConnection("stdBillsEditor");
let stdBillsLibMod = db.model("std_bills_lib_list", schemas.stdBillsLibSchema);
let billsMod = db.model("std_bills_lib_bills", schemas.billsSchema);
let jobContentMod = db.model("std_bills_lib_jobContent", schemas.jobContentSchema);
let itemCharacterMod = db.model("std_bills_lib_itemCharacter", schemas.itemCharacterSchema);

module.exports = {
    stdBillsLibMod: stdBillsLibMod,
    billsMod: billsMod,
    jobContentMod: jobContentMod,
    itemCharacterMod: itemCharacterMod,
}